Subject: bug#27953: vc-region-history doesn't follow renames

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Aug 2017 20:23:36 +0300

> From: Kyle Meyer <[email-masked]>
> Date: Sat, 05 Aug 2017 13:05:52 -0400
> Cc: Andreas Schwab <[email-masked]>,
> 	Stefan Monnier <[email-masked]>, [email-masked]
> 
> But you shouldn't need to add --follow here.  Renames should be followed
> by default when -L is used.  (At least, that's what I see using Git
> v2.13.3.)

I have 2.10 here, so maybe this was fixed later, but I don't see
renames followed when -L is used.  E.g., try this:

  git log -L77,83:admin/charsets/Makefile.in

You will see Git claiming the only version which changed that is the
one in which Makefile.in was created from Makefile.  Am I doing
something wrong, or expecting too much?